import webpack from 'webpack';
import { Level } from 'webpack-log';
export interface Config {
    serviceName: string;
    serviceVersion: string;
    publicPath: string;
    serverURL: string;
    secret?: string;
    logLevel?: Level;
}
export default class ElasticAPMSourceMapPlugin implements webpack.Plugin {
    config: Config;
    constructor(config: Config);
    apply(compiler: webpack.Compiler): void;
}
